# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

GRAPHTESTSSOURCES = \
	../Graph/unittests/BondGraphUnitTest.cpp \
	../Graph/unittests/CheckAgainstAdjacencyFileUnitTest.cpp

GRAPHTESTSHEADERS = \
	../Graph/unittests/BondGraphUnitTest.hpp \
	../Graph/unittests/CheckAgainstAdjacencyFileUnitTest.hpp

GRAPHTESTS = \
	BondGraphUnitTest \
	CheckAgainstAdjacencyFileUnitTest


TESTS += $(GRAPHTESTS)
check_PROGRAMS += $(GRAPHTESTS) 
noinst_PROGRAMS += $(GRAPHTESTS)

GRAPHLIBS = \
	../libMolecuilderUI.la \
	../libMolecuilderGraph.la \
	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
	${CodePatterns_LIBS} \
	$(BOOST_LIB)


BondGraphUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Graph/unittests/BondGraphUnitTest.cpp \
	../Graph/unittests/BondGraphUnitTest.hpp
BondGraphUnitTest_LDADD = ${GRAPHLIBS}

CheckAgainstAdjacencyFileUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Graph/unittests/CheckAgainstAdjacencyFileUnitTest.cpp \
	../Graph/unittests/CheckAgainstAdjacencyFileUnitTest.hpp
CheckAgainstAdjacencyFileUnitTest_LDADD = ${ALLLIBS}



#AUTOMAKE_OPTIONS = parallel-tests
